Package ru.bitel.bgbilling.modules.sorm.common.bean

# Class SormUploadStatistic

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.sorm.common.bean.SormUploadStatistic

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class SormUploadStatistic
    extends Id

Запись о выгрузке для сохранения в таблице с выгрузками СОРМ

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SormUploadStatistic()` |
  `SormUploadStatistic​(int sormProjectId, int contractUploadCount)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractUploadCount()` |
  `int` | `getFirstUploadContractId()` |
  `java.lang.String` | `getFtpUploadErrorMessage()` |
  `int` | `getLastUploadContractId()` |
  `int` | `getSormProjectId()` |
  `java.util.Date` | `getUploadDate()` |
  `boolean` | `getUploadToFtpStatus()` |
  `void` | `setContractUploadCount​(int contractUploadCount)` |
  `void` | `setFirstUploadContractId​(int firstUploadContractId)` |
  `void` | `setFtpUploadErrorMessage​(java.lang.String ftpUploadErrorMessage)` |
  `void` | `setLastUploadContractId​(int lastUploadContractId)` |
  `void` | `setSormProjectId​(int sormProjectId)` |
  `void` | `setUploadDate​(java.util.Date uploadDate)` |
  `void` | `setUploadToFtpStatus​(boolean uploadToFtpStatus)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SormUploadStatistic

    public SormUploadStatistic()

  - ### SormUploadStatistic

    public SormUploadStatistic​(int sormProjectId, int contractUploadCount)

- ## Method Details

  - ### setSormProjectId

    public void setSormProjectId​(int sormProjectId)

  - ### getSormProjectId

    public int getSormProjectId()

  - ### getUploadDate

    public java.util.Date getUploadDate()

  - ### setUploadDate

    public void setUploadDate​(java.util.Date uploadDate)

  - ### getFirstUploadContractId

    public int getFirstUploadContractId()

  - ### setFirstUploadContractId

    public void setFirstUploadContractId​(int firstUploadContractId)

  - ### getLastUploadContractId

    public int getLastUploadContractId()

  - ### setLastUploadContractId

    public void setLastUploadContractId​(int lastUploadContractId)

  - ### getContractUploadCount

    public int getContractUploadCount()

  - ### setContractUploadCount

    public void setContractUploadCount​(int contractUploadCount)

  - ### getUploadToFtpStatus

    public boolean getUploadToFtpStatus()

  - ### setUploadToFtpStatus

    public void setUploadToFtpStatus​(boolean uploadToFtpStatus)

  - ### getFtpUploadErrorMessage

    public java.lang.String getFtpUploadErrorMessage()

  - ### setFtpUploadErrorMessage

    public void setFtpUploadErrorMessage​(java.lang.String ftpUploadErrorMessage)